h1, h2, h3, h4, h5, h6, p {
    padding: 0;
    margin: 0;
    font-family: 'Montserrat', sans-serif;
    color: #000;
}

.title__event {
    font-size: 32px;
    font-weight: 700;
    line-height: 39px;
    text-transform: uppercase;
}

.button__trash {
    display: flex;
    background-color: #F6F6F6;
    padding: 12px;
    border-radius: 10px;
    border: none;
    width: auto;
    height: auto;
}

.button__trash::before,
.button__trash::after {
    content: none;
}

.button__trash img {
    width: 20px;
    height: 20px;
}
.button,
#btn_pay,
#final_btn_pay {
    font-family: inherit;
    font-size: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 32px;
    border-radius: 18px;
    position: relative;
    border: none;
    text-decoration: none;
}

.button.dark__button,
#btn_pay,
#final_btn_pay {
    background-color: #000;
    color: #fff;
    gap: 22px;
}

.dark__button:not(.whithout__arrow)::after {
    content: '';
    width: 45px;
    height: 14px;
    background-image: url('../image/icon_event/Arrow_white.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.button.dark__button.sticky__button {
    position: sticky;
    bottom: 12px;
}

.white__button {
    font-size: 16px;
    color: #000;
    padding: 8px 28px;
    border-radius: 28px;
    border: 1px solid #000;
    background-color: #fff;
}

#basket__modal,
.content_basket {
    max-width: 1153px;
    width: 100%;
    border-radius: 22px;
    padding: 40px 28px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, auto);
    grid-template-areas: 
    "policy policy policy"
    "events events pay";
    gap: 32px 40px;
}

.content__basket {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, auto);
    grid-template-areas: 
    "policy policy policy"
    "events events pay";
    gap: 32px 40px;
}

.top__content {
    display: flex;
    flex-direction: column;
    gap: 22px;
    grid-area: policy;
}

.policy__notification {
    background-color: #F6F6F6;
    padding: 20px;
    border-radius: 12px;
    max-height: 187px;
    height: 100%;
}

.content__policy {
    display: flex;
    flex-direction: column;
    gap: 22px;
    max-height: 112px;
    overflow: auto;
}

.content__policy.profile_is_completed .block__text {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 16px;
}

.content__policy.profile_is_completed .block__text::before {
    content: '!';
    position: relative;
    color: #c20000;
    font-size: 32px;
    font-weight: 600;
}

.content__policy.profile_is_completed .block__text .main__text a {
    color: #000;
}


.content__policy::-webkit-scrollbar {
    width: 6px;
    background: #f0f2f5;
    border-radius: 4px;
}

.content__policy::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background: #8BE5D7;
}

.content__policy::-webkit-scrollbar-track {
    border-radius: 4px;
}

.content__policy .main__text{
    font-size: 16px;
    margin-bottom: 0 !important;
}

.block__text {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.block__text ul{
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.block__text ul li{
    list-style: none;
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: start;
    gap: 6px;
}

.block__text ul li::before {
    content: '\2014';
} 

.basket__events {
    grid-area: events;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.title__basket__events {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.all__shop {
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding-right: 20px;
    max-height: 326px;
    overflow-y: auto;
}

.all__shop::-webkit-scrollbar { 
    width: 8px; 
} 

.all__shop::-webkit-scrollbar-track { 
    background-color: #F6F6F6; 
    border-radius: 12px;
} 

.all__shop::-webkit-scrollbar-thumb { 
    background-color: #8BE5D7; 
    border-radius: 12px;
} 

.item__shop {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    padding: 20px 20px 20px 28px;
    border: 1px solid #000;
    border-radius: 12px;
}

.info__shop {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 22px;
    height: 100%;
    width: 100%;
}

.about__event {
    display: flex;
    flex-direction: column;
    gap: 4px;
    width: 100%;
}

.info__shop .label__for__other__dates {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 12px;
}

.info__shop .line {
    width: 1.5px;
    height: 100%;
    background-color: #000;
}

.about__price__count {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px;
}

.about__price__count .main__text {
    display: flex;
    flex-direction: row;
    gap: 8px;
}

.about__price__count .label__for__other__dates {
    display: flex;
    flex-direction: row;
    gap: 8px;
}

.basket__pay {
    grid-area: pay;
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.promocod__price {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.block__promocod {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.promocod {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 12px;
    gap: 12px;
    border: 1px solid #000;
    border-radius: 12px;
    position: relative;
}

.promocod .error_promocode{
    position: absolute;
    background: #fff;
    padding: 0 3px;
    top: -12px;
    left: 12px;
}

.input__promocod {
    background-color: #fff;
    border: none;
    padding: 7px 12px;
    font-size: 18px;
    color: #000;
}

.input__promocod::placeholder {
    color: #9A9A9A;
}

.promocod__button {
    background-color: #fff;
    color: #000;
    display: flex;
    padding: 8px 28px;
    border: 1px solid #000;
    border-radius: 22px;
    font-size: 16px;
}

.promocod__button:disabled {
    background-color: #F6F6F6;
    color: #9A9A9A;
    border: 1px solid #F6F6F6;
}

.final__price {
    display: flex;
    flex-direction: row;
    gap: 8px;
}

.line__dash {
    border-bottom: 1.5px dashed #000;
    width: 100%;
    margin-bottom: 5px;
}
.final__price .title__section {
    display: flex;
    flex-direction: row;
    gap: 8px;
}

.price__on__button {
    display: none;
}

.crk__basket.error,
.fenix__basket.error {
    border: 1px solid red;
    padding: 5px;
    border-radius: 5px;
}

.crk__basket label,
.fenix__basket label {
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 12px;
    cursor: pointer;
}

.crk__basket label input,
.fenix__basket label input {
    position: absolute;
    height: 0;
    width: 0;
    opacity: 0;
}

.crk__basket label .psevdo__checkbox,
.fenix__basket label .psevdo__checkbox {
    width: 20px;
    min-width: 20px;
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #000;
    border-radius: 4px;
    position: relative;
}

.crk__basket label:has(input:checked) .psevdo__checkbox,
.fenix__basket label:has(input:checked) .psevdo__checkbox {
    background-color: var(--main-purple-color);
}

.crk__basket label:has(input:checked) .psevdo__checkbox::before,
.fenix__basket label:has(input:checked) .psevdo__checkbox::before {
    content: '';
    position: relative;
    width: 80%;
    height: 80%;
    background-image: url(../image/all_icons/checkbox.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
}

.crk__basket label span,
.fenix__basket label span {
    display: inline;
}

.crk__basket label span a,
.fenix__basket label span a {
    color: #000;
    display: inline;
}

.crk__basket label span .red_star,
.fenix__basket label span .red_star {
    color: red;
    margin-left: 10px;
    font-size: ;
}




@media screen and (max-width: 768px) {

    .title__event {
        font-size: 26px;
        text-transform: none;
        line-height: 28px;
    }

    .button,
    #final_btn_pay {
        font-size: 18px;
        padding: 16px 20px;
        border-radius: 14px;
    }

    #final_btn_pay {
        justify-content: space-between  ;
    }

    .button.dark__button {
        gap: 12px;
    }
    
    .dark__button:not(.whithout__arrow):after {
        width: 28px;
    }

    .button.dark__button.whithout__arrow,
    #final_btn_pay {
        font-size: 15px;
    }

    .fancybox-slide--html:has(#basket__modal),
    .content_basket {
        padding: 6px 0;
    }

    .white__button {
        font-size: 13px;
        padding: 8px 14px;
    }

    .button__trash {
        position: absolute;
        top: 0;
        right: 0;
        background-color: transparent;
        padding: 12px;
    }

    #basket_pop_up.active_popUp {
        overflow-y: auto;
    }

    #basket__modal,
    .content_basket {
        padding: 28px 16px;
        border-radius: 18px;
    }

    .content__basket,
    .content_basket {
        display: flex;
        flex-direction: column;
        gap: 28px;
    }

    .policy__notification {
        max-height: 100%;
        padding: 16px;
        border-radius: 12px;
    }

    .content__policy {
        max-height: 100%;
        gap: 12px;
    }

    .content__policy .main__text {
        font-size: 13px;
    }

    .block__text {
        gap: 4px;
    }

    .basket__events {
        gap: 16px;
        padding-bottom: 300px;
    }

    .all__shop {
        max-height: 100%;
        padding: 0;
        gap: 8px;
    }

    .item__shop {
        flex-direction: column;
        padding: 16px 20px;
        border-radius: 12px;
        position: relative;
    }

    .info__shop {
        flex-direction: column;
        gap: 16px;
    }

    .about__event {
        flex-direction: column-reverse;
        gap: 8px;
    }

    .info__shop .line {
        height: 1.5px;
        width: 100%;
    }

    .about__price__count {
        flex-direction: row-reverse;
        justify-content: space-between;
        width: 100%;
    }

    .basket__pay {
        position: fixed;
        bottom: 0;
        z-index: 9;
        background-color: #fff;
        left: 0;
        width: 100%;
        padding: 28px 16px;
        border-radius: 18px 18px 0 0;
        box-shadow: 0 -4px 10px rgba(0, 0, 0, 0.08);
    }

    .block__promocod {
        gap: 8px;
    }
    
    .promocod {
        gap: 8px;
        padding: 10px 12px;
        border-radius: 12px;
    }

    .input__promocod {
        font-size: 15px;
        padding: 7px;
    }

    .promocod__button {
        font-size: 13px;
        padding: 8px 14px;
    }

    .final__price {
        display: none;
    }

    .basket__pay .button {
        justify-content: space-between;
    }

    .price__on__button {
        display: flex;
        flex-direction: row;
        gap: 4px;
        font-size: 15px;
        color: #fff;
    }
}